import { Emitter } from 'vscode/vscode/vs/base/common/event';
import { Registry } from 'vscode/vscode/vs/platform/registry/common/platform';

class ChatViewsWelcomeContributionRegistry {
    constructor() {
        this.descriptors = [];
        this._onDidChange = ( new Emitter());
        this.onDidChange = this._onDidChange.event;
    }
    register(descriptor) {
        this.descriptors.push(descriptor);
        this._onDidChange.fire();
    }
    get() {
        return this.descriptors;
    }
}
const chatViewsWelcomeRegistry = ( new ChatViewsWelcomeContributionRegistry());
Registry.add("workbench.registry.chat.viewsWelcome" , chatViewsWelcomeRegistry);

export { chatViewsWelcomeRegistry };
